%global momorel 2

# ghc does not emit debug info
%global debug_package %{nil}

Name:           happy
Summary:	The LALR(1) Parser Generator for Haskell
Version:	1.18.5
Release:	%{momorel}m%{?dist}
License:	BSD
Group:		Development/Tools
URL:		http://haskell.org/happy/
Source0: 	http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
NoSource:	0

BuildRequires:  autoconf, ghc, docbook-dtds, docbook-style-xsl, libxslt, libxml2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	%{ix86} x86_64 ppc
Requires(post): policycoreutils

%description
Happy is a parser generator system for Haskell, similar to the tool
`yacc' for C. Like `yacc', it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program).


%prep
%setup -q


%build
%cabal_configure --ghc
%cabal build

pushd doc
autoreconf
%configure
make html
popd


%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%cabal_install


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}


%post
semanage fcontext -a -t unconfined_execmem_exec_t %{_bindir}/%{name} >/dev/null 2>&1 || :
restorecon %{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE CHANGES LICENSE README TODO doc/happy
%{_bindir}/happy
%{_datadir}/happy-%{version}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.18.5-2m)
- full rebuild for mo7 release

* Fri Jul 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.18.5-1m)
- update to 1.18.5

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.18.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon May  4 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.18.2-1m)
- update for ghc

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.17-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.17-3m)
- rebuild against gcc43

* Tue Dec 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.17-2m)
- BuildRequires: ghc >= 6.8.1

* Mon Dec 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.17-1m)
- import to Momonga from Fedora devel
- version 1.17

* Fri Nov 23 2007 Bryan O'Sullivan <bos@serpentine.com> - 1.16-3
- Exclude alpha and ppc64

* Thu Aug 16 2007 Jens Petersen <petersen@redhat.com>
- update License field

* Sun Mar 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 1.16-2
- fix a few style issues pointed out by Jens

* Fri Jan 19 2007 Bryan O'Sullivan <bos@serpentine.com> - 1.16-1
- update to 1.16
- fix rpmlint warnings

* Fri Jan 21 2005 Jens Petersen <petersen@haskell.org> - 1.15-2
- initial packaging based on spec file from tarball
- setup libdir for x86_64
